Bug 830834 - AVCs when running ncftool
AVCs when running ncftool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 09:43 EDT by Michal Trunecka
Modified: 2014-09-30 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-133.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVCs triggered by ncftool (109.99 KB, text/plain)
2012-06-11 10:20 EDT, Michal Trunecka
no flags Details

  None (edit)
Description Michal Trunecka 2012-06-11 09:43:46 EDT
Description of problem:
When running test /CoreOS/selinux-policy/Regression/bz593708-ncftool-cannot-read-files a lot of AVCs showed up. All the AVCs are attached in file.
The functional part of the test PASSed though.

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-128.el7.noarch
netcf-0.1.9-2.el7.x86_64

How reproducible:
Using the mentioned test:
/CoreOS/selinux-policy/Regression/bz593708-ncftool-cannot-read-files
  
Actual results:
AVCs

Expected results:
No AVC

Additional info:
Comment 1 Michal Trunecka 2012-06-11 10:20:39 EDT
Created attachment 590948 [details]
AVCs triggered by ncftool
Comment 2 Miroslav Grepl 2012-06-28 10:13:00 EDT
Dan added fixes which removing a transition from unconfined_t to ncftool_t and added file name transitions rules.


Fixed in selinux-policy-3.10.0-133.el7.noarch
Comment 4 Ludek Smid 2014-06-13 09:29:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.